T3DImageDrawTarget< T > Class Template Reference

implements T3DImage as a target for drawing operations More...

`#include <mia/3d/imagedraw.hh>`

Inheritance diagram for T3DImageDrawTarget< T >:
[legend]
Collaboration diagram for T3DImageDrawTarget< T >:
[legend]

## Public Member Functions

const T3DImage< T > & | get_image () const
void | set_color (T c)
| T3DImageDrawTarget (const C3DBounds &size, const C3DFVector &origin, const C3DFVector &spacing)
Public Member Functions inherited from C3DDrawBox
| C3DDrawBox (const C3DBounds &size, const C3DFVector &origin, const C3DFVector &spacing)
void | draw_line (const C3DFVector &a, const C3DFVector &b)
void | draw_point (const C3DFVector &p)
void | draw_triangle (const C3DFVector &a, const C3DFVector &b, const C3DFVector &c)

## Detailed Description

template<typename T>
class T3DImageDrawTarget< T >

implements T3DImage as a target for drawing operations

Definition at line 99 of file imagedraw.hh.

## Constructor & Destructor Documentation

## T3DImageDrawTarget()

template<typename T>

T3DImageDrawTarget< T >::T3DImageDrawTarget | ( | const C3DBounds & | size,
|  | const C3DFVector & | origin,
|  | const C3DFVector & | spacing )

Create a draw target of the given output size and the given voxel spacing

## Member Function Documentation

## get_image()

template<typename T>

const T3DImage< T > & T3DImageDrawTarget< T >::get_image | ( |  | ) | const

Returns
  the draw target

## set_color()

template<typename T>

void T3DImageDrawTarget< T >::set_color | ( | T | c | ) |

Parameters

  c | New drawing color

The documentation for this class was generated from the following file:

- imagedraw.hh